# Generated by Django 3.2.8 on 2024-05-28 05:32

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('sites', '0002_alter_domain_unique'),
    ]

    operations = [
        migrations.CreateModel(
            name='OAuthAPI',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('provider', models.CharField(max_length=140, unique=True, verbose_name='Provider')),
                ('client_config', models.JSONField(help_text='CLIENT_ID, CLIENT_SECRET이 포함된 보안 비밀번호 json 파일', null=True, verbose_name='클라이언트 설정(JSON)')),
                ('remarks', models.TextField(blank=True, null=True, verbose_name='Remarks')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name': '   OAuth API',
                'verbose_name_plural': '   OAuth API',
                'db_table': 'oauthemailbackend_oauthapi',
            },
        ),
        migrations.CreateModel(
            name='SendHistory',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('message_id', models.CharField(editable=False, max_length=100)),
                ('recipients', models.CharField(blank=True, max_length=1200, null=True, verbose_name='수신자들')),
                ('subject', models.CharField(max_length=200, null=True, verbose_name='제목')),
                ('raw', models.TextField(blank=True, null=True, verbose_name='메시지 원본')),
                ('arranged_time', models.DateTimeField(auto_now_add=True, verbose_name='예약시간')),
                ('sent_time', models.DateTimeField(blank=True, null=True, verbose_name='발송 완료시간')),
                ('success', models.BooleanField(default=None, null=True)),
                ('error_message', models.TextField(blank=True, null=True)),
                ('retry_count', models.PositiveSmallIntegerField(default=0)),
                ('site', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='sites.site')),
            ],
            options={
                'verbose_name': 'Email Sending History',
                'verbose_name_plural': 'Email Sending History',
                'db_table': 'oauthemailbackend_emailsendhistory',
            },
        ),
        migrations.CreateModel(
            name='EmailClient',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('is_active', models.BooleanField(default=True, help_text='언체크하면 settings.py에서 설성한 기본 계정으로 발송됩니다.', verbose_name='Active')),
                ('using', models.CharField(default='default', help_text='이메일 발송 히스토리를 저장할 때 접속할 데이터베이스 이름입니다.', max_length=30, verbose_name='데이터베이스 이름')),
                ('send_method', models.CharField(choices=[('smtp', '사용자 지정 SMTP 서버'), ('api', 'OAuth2 이메일 API')], default='smtp', max_length=15, verbose_name='발송 방법')),
                ('sender_name', models.CharField(max_length=20, null=True, verbose_name='보내는 사람 이름')),
                ('debug', models.BooleanField(default=True, help_text='로그를 작성합니다.', verbose_name='디버그')),
                ('api_email', models.EmailField(blank=True, max_length=254, null=True, verbose_name='API 계정 이메일')),
                ('access_token', models.TextField(blank=True, null=True, verbose_name='접속 Token')),
                ('refresh_token', models.TextField(blank=True, null=True, verbose_name='갱신 Token')),
                ('token_expiry', models.DateTimeField(blank=True, help_text='갱신일 이전에 자동 갱신 시도합니다.', null=True, verbose_name='Token 유효기간')),
                ('smtp_email', models.EmailField(blank=True, max_length=254, null=True, verbose_name='SMTP 계정 이메일')),
                ('smtp_host', models.CharField(blank=True, max_length=50, null=True, verbose_name='SMTP 발송 호스트')),
                ('security_protocol', models.CharField(blank=True, choices=[('tls', 'TLS'), ('ssl', 'SSL')], max_length=15, null=True, verbose_name='보안 프로토콜')),
                ('port', models.PositiveSmallIntegerField(blank=True, help_text=25, null=True)),
                ('password', models.CharField(blank=True, max_length=30, null=True, verbose_name='비밀번호')),
                ('reply_to', models.CharField(blank=True, max_length=120, null=True, verbose_name='반송 메일')),
                ('cc', models.CharField(blank=True, help_text='컴마로 구분합니다.', max_length=220, null=True, verbose_name='참조')),
                ('bcc', models.CharField(blank=True, help_text='컴마로 구분합니다.', max_length=220, null=True, verbose_name='숨은 참조')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('oauthapi', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='oauth_emailbackend.oauthapi', verbose_name='OAuth API')),
                ('site', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='sites.site')),
            ],
            options={
                'verbose_name': 'Email Client',
                'verbose_name_plural': 'Email Client',
                'db_table': 'oauthemailbackend_emailclient',
            },
        ),
    ]
